summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD35
2 files changed, 54 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e011ed56cb6
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+# Generated by makepkg 4.2.0
+# Sun Jan 18 19:46:38 UTC 2015
+pkgbase = snorenotify-git
+ pkgdesc = a multi platform Qt5 notification framework
+ pkgver = 0.5.0.r31.g82ebb45
+ pkgrel = 1
+ url = https://github.com/Snorenotify/Snorenotify
+ arch = i686
+ arch = x86_64
+ makedepends = git
+ makedepends = cmake
+ depends = qt5-base
+ provides = snorenotify
+ conflicts = snorenotify
+ source = git+https://github.com/Snorenotify/Snorenotify/
+ md5sums = SKIP
+
+pkgname = snorenotify-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..91c0ebd8c00
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+pkgname='snorenotify-git'
+provides=('snorenotify')
+conflicts=('snorenotify')
+pkgdesc='a multi platform Qt5 notification framework'
+url='https://github.com/Snorenotify/Snorenotify'
+arch=('i686' 'x86_64')
+pkgver=0.5.0.r31.g82ebb45
+pkgrel=1
+depends=('qt5-base')
+makedepends=('git' 'cmake')
+source=('git+https://github.com/Snorenotify/Snorenotify/')
+md5sums=('SKIP')
+
+_cd_builddir() {
+ cd "$srcdir/Snorenotify"
+}
+
+pkgver() {
+ _cd_builddir
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/^v//' | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ _cd_builddir
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DLIB_INSTALL_DIR=lib
+ make
+}
+
+package() {
+ _cd_builddir
+ make DESTDIR="$pkgdir" install
+}